- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_host – NetApp E-Series manage eseries hosts

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Create, update, remove hosts on NetApp E-series storage arrays

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
force_port boolean added in 2.7 | Choices: no yes | Allow ports that are already assigned to be re-assigned to your current host
group - |  | The unique identifier of the host-group you want the host to be a member of; this is used for clustering. aliases: cluster
host_type string |  | This is the type of host to be mapped Required when `state=present` Either one of the following names can be specified, Linux DM-MP, VMWare, Windows, Windows Clustered, or a host type index which can be found in netapp_e_facts aliases: host_type_index
log_path - added in 2.7 |  | A local path to a file to be used for debug logging
name - / required |  | If the host doesn't yet exist, the label/name to assign at creation time. If the hosts already exists, this will be used to uniquely identify the host to make any required changes aliases: label
ports - |  | A list of host ports you wish to associate with the host. Host ports are uniquely identified by their WWN or IQN. Their assignments to a particular host are uniquely identified by a label and these must be unique.
| label - / required |  | A unique label to assign to this port assignment.
| port - / required |  | The WWN or IQN of the hostPort to assign to this port definition.
| type - / required | Choices: iscsi sas fc ib nvmeof ethernet | The interface type of the port to define. Acceptable choices depend on the capabilities of the target hardware/software platform.
ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.
state - added in 2.7 | Choices: absent present ← | Set to absent to remove an existing host Set to present to modify or create a new host definition
validate_certs boolean | Choices: no yes ← | Should https certificates be validated?

## Notes

Note

- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.

- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.

- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Define or update an existing host named 'Host1'
      netapp_e_host:
        ssid: "1"
        api_url: "10.113.1.101:8443"
        api_username: admin
        api_password: myPassword
        name: "Host1"
        state: present
        host_type_index: Linux DM-MP
        ports:
          - type: 'iscsi'
            label: 'PORT_1'
            port: 'iqn.1996-04.de.suse:01:56f86f9bd1fe'
          - type: 'fc'
            label: 'FC_1'
            port: '10:00:FF:7C:FF:FF:FF:01'
          - type: 'fc'
            label: 'FC_2'
            port: '10:00:FF:7C:FF:FF:FF:00'

    - name: Ensure a host named 'Host2' doesn't exist
      netapp_e_host:
        ssid: "1"
        api_url: "10.113.1.101:8443"
        api_username: admin
        api_password: myPassword
        name: "Host2"
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_url string added in 2.6 | on success | the url of the API that this request was processed by Sample: https://webservices.example.com:8443
id string added in 2.6 | on success when state=present | the unique identifier of the host on the E-Series storage-system Sample: 00000000600A098000AAC0C3003004700AD86A52
msg string | on success | A user-readable description of the actions performed. Sample: The host has been created.
ssid string added in 2.6 | on success | the unique identifier of the E-Series storage-system with the current api Sample: 1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

- Nathan Swartz (@ndswartz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.